Debian Bug report logs - #610941
syntax errors at shutdown

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Luigi Capriotti <l.capriotti@xbmc.org>

Date: Mon, 24 Jan 2011 09:12:02 UTC

Severity: normal

Fixed in version live-boot/3.0~a15-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#610941; Package live-boot. (Mon, 24 Jan 2011 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luigi Capriotti <l.capriotti@xbmc.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

3.0_a14-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 24 Jan 2011 09:12:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luigi Capriotti <l.capriotti@xbmc.org>
To: submit@bugs.debian.org
Subject: syntax errors at shutdown
Date: Mon, 24 Jan 2011 10:12:00 +0100
Package: live-boot
Version: 3.0_a14-1

File live-boot.init generates syntax errors at shutdown:

[: 1: =: unexpected operator

The offending lines are

    if [ ${NOPROMPT} = "Yes" ]

and

    if [ ${NOPROMPT} = "usb" ]

due to missing quotes:

    if [ "${NOPROMPT}" = "Yes" ]
    if [ "${NOPROMPT}" = "usb" ]





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#610941; Package live-boot. (Mon, 24 Jan 2011 11:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 24 Jan 2011 11:12:08 GMT) Full text and rfc822 format available.

Message #10 received at 610941@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Luigi Capriotti <l.capriotti@xbmc.org>
Cc: 610941@bugs.debian.org
Subject: Re: Bug#610941: syntax errors at shutdown
Date: Mon, 24 Jan 2011 12:08:36 +0100
tag 610941 pending
thanks

On 01/24/2011 10:12 AM, Luigi Capriotti wrote:
> File live-boot.init generates syntax errors at shutdown:

marco fixed this in git, instantaneous :)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 11:12:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 10 Mar 2011 05:39:05 GMT) Full text and rfc822 format available.

Notification sent to Luigi Capriotti <l.capriotti@xbmc.org>:
Bug acknowledged by developer. (Thu, 10 Mar 2011 05:39:06 GMT) Full text and rfc822 format available.

Message #17 received at 610941-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 610941-close@bugs.debian.org
Subject: Bug#610941: fixed in live-boot 3.0~a15-1
Date: Thu, 10 Mar 2011 05:34:39 +0000
Source: live-boot
Source-Version: 3.0~a15-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a15-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a15-1_all.deb
live-boot_3.0~a15-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a15-1.debian.tar.gz
live-boot_3.0~a15-1.dsc
  to main/l/live-boot/live-boot_3.0~a15-1.dsc
live-boot_3.0~a15-1_all.deb
  to main/l/live-boot/live-boot_3.0~a15-1_all.deb
live-boot_3.0~a15.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610941@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 09 Mar 2011 18:01:07 +0100
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a15-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 610941
Changes: 
 live-boot (3.0~a15-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating year in copyright.
 .
   [ Marco Amadori ]
   * Adjust copyright entry in live-snapshot.
   * Protect NOPROMPT (Closes: #610941).
 .
   [ Michal Suchanek ]
   * Simplify union mounting.
   * Really set limit on open files for unionfs-fuse
   * Add verbose messages to initramfs hook.
 .
   [ T(A)ILS developers ]
   * Fixing remaining fromiso= bug.
   * Fixing syntax error.
Checksums-Sha1: 
 f1ca70bf2f2c9c9af8ce3c727b32724541507605 1250 live-boot_3.0~a15-1.dsc
 0600d1495db8baaee23b9d11031149b930c4f63e 109896 live-boot_3.0~a15.orig.tar.gz
 71f04de5fecebe93c8202f7d9bf23208eabd7d67 19115 live-boot_3.0~a15-1.debian.tar.gz
 1c19407860883f203e065128e15490d4f04fdb32 76168 live-boot_3.0~a15-1_all.deb
 d0c3234b6cecc420ec39aba33eecc1e4da71455c 31102 live-boot-initramfs-tools_3.0~a15-1_all.deb
Checksums-Sha256: 
 2e2218ba4ed6a8aac320178db4ca5e330b7d3b9bea245137df2842fe0a0580a6 1250 live-boot_3.0~a15-1.dsc
 36cc4762ea8771f6a7f032c8cd3ec00880b3a978a97e6dfc112d4c6f58e48793 109896 live-boot_3.0~a15.orig.tar.gz
 9e2435d31e1af10681580e886f1b9f9ecb3408a28a4d4eca83b42939bd0165bd 19115 live-boot_3.0~a15-1.debian.tar.gz
 b8be428736e80d492706cdf04df9b1af776b00e20cd37043f43664a8c1f237fb 76168 live-boot_3.0~a15-1_all.deb
 12a96bcaf616ce42aff243045954617631505ef66a138ce59aea77f47af9d1e9 31102 live-boot-initramfs-tools_3.0~a15-1_all.deb
Files: 
 0152a71651f373c0c7f2264600d6a657 1250 misc optional live-boot_3.0~a15-1.dsc
 a8938287363f3dc85b22a288530d86ff 109896 misc optional live-boot_3.0~a15.orig.tar.gz
 a71ffdeae6187669aceb0631cab0b8b8 19115 misc optional live-boot_3.0~a15-1.debian.tar.gz
 0ab3a4cb8b55367ea00c8a8e8fe8c2d8 76168 misc optional live-boot_3.0~a15-1_all.deb
 b70e5248feb024db4aa42be54566d549 31102 misc optional live-boot-initramfs-tools_3.0~a15-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk14QI4ACgkQ+C5cwEsrK56ZpgCfaXbun70MZUzSlxiujQFfpl8g
gEcAni9fDyJeyeNzhCRK34/Qlu0ouYFj
=Rayb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:09:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:17:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.